#
# Setup for Unix (Linux, Solaris, MacOS X) using csh
#
# Check JAIDA_HOME is set sensibly

if (! $?JAIDA_HOME) then
   echo "JAIDA_HOME has not been set"
   exit
endif

if (! -e $JAIDA_HOME/lib/aida.jar) then
   echo "The AIDA.jar files seem to be missing, make sure JAIDA_HOME has been set properly"
   exit
endif

set JAIDAJARS="aida aida-dev bcel freehep-base freehep-hep jas-plotter jel openide-lookup optimizers"

if (! $?CLASSPATH) then
   setenv CLASSPATH ""
endif

foreach jar (${JAIDAJARS})
   setenv CLASSPATH "${JAIDA_HOME}/lib/${jar}.jar:${CLASSPATH}"
end

end:

